<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
    <title>Rygel.MediaServer.MediaServer &ndash; librygel-server &ndash; Vala Binding Reference</title>
    <link href="../style.css" rel="stylesheet" type="text/css"/><script src="../scripts.js" type="text/javascript">
    </script>
  </head>
  <body>
    <div class="site_header">Rygel.MediaServer.MediaServer &ndash; librygel-server Reference Manual</div>
    <div class="site_body">
      <div class="site_navigation">
        <ul class="navi_main">
          <li class="package_index"><a href="../index.html">Packages</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="package"><a href="index.htm">librygel-server</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="namespace"><a href="Rygel.html">Rygel</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="class"><a href="Rygel.MediaServer.html">MediaServer</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="property"><a href="Rygel.MediaServer.root_container.html">root_container</a></li>
          <li class="creation_method">MediaServer</li>
          <li class="virtual_method"><a href="Rygel.MediaServer.constructed.html">constructed</a></li>
        </ul>
      </div>
      <div class="site_content">
        <h1 class="main_title">MediaServer</h1>
        <hr class="main_hr"/>
        <h2 class="main_title">Description:</h2>
        <div class="main_code_definition"><span class="main_keyword">public</span> <b><span class="creation_method">MediaServer</span></b> (<span class="main_basic_type"><span class="class">string</span></span> title, <span class="main_type"><a href="Rygel.MediaContainer.html" class="abstract_class">MediaContainer</a></span> root_container, <span class="main_type"><span class="enum">PluginCapabilities</span></span> capabilities = <b><span class="enumvalue">NONE</span></b>)
        </div>
        <div class="description">
          <p>Create a MediaServer to serve the media in the RygelMediaContainer. For instance, you might use a RygelSimpleContainer. Alternatively, 
            you might use your own RygelMediaContainer implementation.</p>
          <p>Assuming that the RygelMediaContainer is correctly implemented, the RygelMediaServer will respond appropriately to changes in the 
            RygelMediaContainer.</p>
        </div>
      </div>
    </div><br/>
    <div class="site_footer">Generated by <a href="https://wiki.gnome.org/Projects/Valadoc"><kbd>valadoc</kbd></a>
    </div>
  </body>
</html>